﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamDataGridStyles
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Test> data { get; set; }
        
        public MainWindow()
        {
            InitializeComponent();
            data = new ObservableCollection<Test>();
            data.Add(new Test(){ doubleNumber = 23.12, intNumber = 45});
            data.Add(new Test() { doubleNumber = 243.45, intNumber = 33 });
            data.Add(new Test() { doubleNumber = 2783.172, intNumber = 3 });
            data.Add(new Test() { doubleNumber = 56.12, intNumber = 478});

            this.DataContext = data;
        }
    }

    public class Test
    {
        public int intNumber { get; set; }
        public double doubleNumber { get; set; }
    }
}
